# monitorable.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Classes
class | saga::monitorable
| The monitorable interface is implemented by those SAGA objects which can be monitored, i.e. which have one or more associated metrics. More...
class | saga::steerable
| The steerable interface is implemented by saga objects which can be steered, i.e. which have writable metrics, and which might allow to add new metrics. More...